---
# tasks file for roles/netbox_device
- name: Create device within NetBox with only required information
  netbox.netbox.netbox_device:
    netbox_url: "{{ item_netbox_url }}"
    netbox_token: "{{ item_netbox_token }}"
    validate_certs: False
    state: present
    data:
      name: "{{ item_device_name }}"
      device_type: "{{ item_device_type }}"
      site: "{{ item_site }}" 
      device_role: "{{ item_device_role }}"
      status: "Active"
      oob_ip: "{{ item_oob_ip | default(omit) }}"
      vc_position: "{{ item_vc_position | default(omit) }}"
      vc_priority: "{{ item_vc_priority | default(omit) }}"
      virtual_chassis: "{{ item_vc_name | default(omit) }}"
  delegate_to: localhost